Bug 39644 - * Assertion at image.c:512, condition `image->heap_guid.size >= 16' not met
Summary: * Assertion at image.c:512, condition `image->heap_guid.size >= 16' not met
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2016-03-15 11:44 UTC by Marek Safar
Modified: 2016-03-17 10:44 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
test (3.21 KB, application/zip)
2016-03-15 11:44 UTC, Marek Safar
Details

Description Marek Safar 2016-03-15 11:44:54 UTC
Created attachment 15406 [details]
test

When pdb file compiled by roslyn exists runtime crashes with

mono --debug b.exe

* Assertion at image.c:512, condition `image->heap_guid.size >= 16' not met

Stacktrace:

  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) System.AppDomain.LoadAssembly (System.AppDomain,string,System.Security.Policy.Evidence,bool) <0x00012>
  at System.AppDomain.LoadSatellite (System.Reflection.AssemblyName,bool) [0x00011] in /private/tmp/source-mono-4.3.2/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/corlib/System/AppDomain.cs:722
Comment 1 Zoltan Varga 2016-03-17 10:44:09 UTC
Fixed in mono master/4.4 branch.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 39644 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: